Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456115 - mysqld accessing /var/log/rpmpkgs-*
Summary: mysqld accessing /var/log/rpmpkgs-*
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mysql
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tom Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-21 16:14 UTC by Guy Streeter
Modified: 2016-02-10 01:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 07:51:23 UTC


Attachments (Terms of Use)
mysqld defaults file (deleted)
2008-07-31 15:20 UTC, Guy Streeter
no flags Details

Description Guy Streeter 2008-07-21 16:14:33 UTC
I keep occasionaly getting this selinux message:

SELinux is preventing mysqld (mysqld_t) "read write" to
/var/log/rpmpkgs-20080721 (var_log_t).

The date part of the filename changes, but it is always the rmppkgs log file.
I can't imagine any reason why mysqld would try to access that file.

Here's the raw audit message:

host=mentos type=AVC msg=audit(1216656333.425:40): avc: denied { read write }
for pid=4222 comm="mysqld" path="/var/log/rpmpkgs-20080721" dev=sda1 ino=392842
scontext=system_u:system_r:mysqld_t:s0 tcontext=system_u:object_r:var_log_t:s0
tclass=file

Comment 1 Tom Lane 2008-07-21 23:03:46 UTC
Huh, weird.  Which version of mysql-server have you got installed, exactly?  I can't find any reference to 
rpmpkgs in the package source code nor in any of the libraries it links to.  Have you got any nonstandard 
extensions installed?

The file itself ought to be generated (AFAICS) weekly by logrotate.  Do the times of the avc messages 
correspond to logrotate runs?

Comment 2 Guy Streeter 2008-07-22 18:00:37 UTC
mysql-server-5.0.45-6.fc8.i386

I don't have any nonstandard extensions installed.

I haven't noticed it the avc message corresponds to logrotate runs. I know it
doesn't happen every day, though.


Comment 3 Guy Streeter 2008-07-28 16:10:40 UTC
I just got another one of these, and logrotate had just run. updatedb was
running when I noticed the avc message

Comment 4 Tom Lane 2008-07-28 17:00:35 UTC
That definitely suggests that one of your /etc/cron.daily/ scripts is triggering it; what have you got in 
there?

Comment 5 Guy Streeter 2008-07-28 17:55:58 UTC
There are only the standard ones, unmodified:

$ ls /etc/cron.daily/
000-delay.cron  0logwatch  logrotate        prelink     tmpwatch
00webalizer     certwatch  makewhatis.cron  rpm
0anacron        cups       mlocate.cron     tetex.cron


Comment 6 Guy Streeter 2008-07-31 15:19:31 UTC
Here is some extra info I just noticed. mysqld is not being started from it's
initscript, but by an application. Here is the commandline of the running mysqld
process:

/usr/libexec/mysqld --defaults-file=/var/lib/squeezecenter/cache/my.cnf

I will attach the the config file.

Comment 7 Guy Streeter 2008-07-31 15:20:35 UTC
Created attachment 313111 [details]
mysqld defaults file

Comment 8 Bug Zapper 2008-11-26 11:01:22 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2009-01-09 07:51:23 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.